# Uses of Class
org.codehaus.commons.compiler.java8.java.util.Optional

Packages that use Optional
Package
Description
org.codehaus.commons.compiler.java9.java.lang.module
A set of (rudimentary) proxies for Java-9+ classes that also compile for Java 6-8.

## Uses of Optional in org.codehaus.commons.compiler.java9.java.lang.module

Methods in org.codehaus.commons.compiler.java9.java.lang.module that return Optional
Modifier and Type
Method
Description
`Optional<URI>`
ModuleReference.`location()`